CVE-2004-1797
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:42:22
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in search.php for FreznoShop 1.3.0 RC1 and earlier allows remote attackers to inject arbitrary web script or HTML via the search parameter.


[CNNVD]FreznoShop Search脚本跨站脚本攻击(XSS)漏洞(CNNVD-200412-1079)

        FreznoShop 1.3.0 RC1及其更早版本的search.php存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助search参数注入任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1797
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1797
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1079
(官方数据源) CNNVD

- 其它链接及资源

http://securitytracker.com/id?1008606
(PATCH)  SECTRACK  1008606
http://secunia.com/advisories/10547
(PATCH)  SECUNIA  10547
http://xforce.iss.net/xforce/xfdb/14147
(UNKNOWN)  XF  freznoshop-searchphp-xss(14147)
http://www.securityfocus.com/bid/9359
(UNKNOWN)  BID  9359
http://www.osvdb.org/3335
(UNKNOWN)  OSVDB  3335

- 漏洞信息

FreznoShop Search脚本跨站脚本攻击(XSS)漏洞
中危 跨站脚本
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        FreznoShop 1.3.0 RC1及其更早版本的search.php存在跨站脚本攻击(XSS)漏洞。远程攻击者可以借助search参数注入任意web脚本或HTML。

- 公告与补丁

        This issue has been addressed in FreznoShop 1.3.0 RC2.

- 漏洞信息 (23519)

FreznoShop 1.2.3/1.3 Search Script Cross-Site Scripting Vulnerability (EDBID:23519)
php webapps
2004-01-04 Verified
0 David S. Ferreira
N/A [点击下载]
source: http://www.securityfocus.com/bid/9359/info

FreznoShop is prone to a cross-site scripting vulnerability. Remote attackers may create malicious links to the software that include hostile HTML and script code. If such a link was followed by a victim user, the attacker-supplied code would be rendered in the security context of the site hosting the software.

This could be exploited to steal cookie-based authentication credentials. Other attacks are also possible.

http://www.example.com/shop/search.php?search=%3Cscript%3Ealert(document.domain);%3C/script%3E		

- 漏洞信息

3335
FreznoShop search.php search Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2004-01-06 2004-01-06
Unknow Unknow

- 解决方案

Upgrade to version 1.3.0 RC2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站